Download it now!
Bug 94698 - cleanup Makefiles
Summary: cleanup Makefiles
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
5.0.2.1 rc
Hardware: Other All
: medium normal
Assignee: Gleb Mishchenko
URL:
Whiteboard: target:5.3.0
Keywords: difficultyBeginner, easyHack, skillCpp, topicCleanup
Depends on:
Blocks:
 
Reported: 2015-10-02 13:10 UTC by Michael Meeks
Modified: 2017-02-14 08:57 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Meeks 2015-10-02 13:10:30 UTC
There are still files in */*.mk that have eg.

$(eval $(call gb_CppunitTest_use_api,comphelper_test_config, \
	udkapi \
	offapi \
))

when this should read:

$(eval $(call gb_CppunitTest_use_sdk_api,comphelper_test_config,))

ie. 1x line not 4 =)

It'd be great to catch and replace all of these.

NB. the piece after the ',' ie. comphelper_test_config is really important, far more so than the file-name its stored in; make sure to preserve that =)

Thanks !
Comment 1 Buovjaga 2015-10-06 11:19:23 UTC
Setting this to NEW
Comment 2 Robinson Tryon (qubit) 2016-02-18 14:52:00 UTC Comment hidden (obsolete)
Comment 3 Gleb Mishchenko 2016-03-20 06:18:22 UTC
Hello!
I found some files which contains oovbaapi along with udkapi and offapi so it looks like below

$(eval $(call gb_Library_use_api,msforms,\
	udkapi \
	offapi \
	oovbaapi \
))

should I delete this too? Or make it look like this:

$(eval $(call gb_Library_use_api,msforms,\
	oovbaapi \
))
Comment 4 Gleb Mishchenko 2016-03-20 07:10:29 UTC
Some more examples, that are unclear for me. What should I do here?

$(eval $(call gb_Executable_use_internal_comprehensive_api,uno,\
    udkapi \
))

$(eval $(call gb_CppunitTest_use_internal_comprehensive_api,cppu_qa_recursion, \
        cppu_qa_types \
        udkapi \
))

$(call gb_UnoApi_get_target,udkapi)
Comment 5 Michael Meeks 2016-03-21 14:53:29 UTC
Hi Gleb; did you get the easy cases done first and submitted to gerrit ? that way the change is easier to review =) Can you do that ?

For including the oovbaapi - no idea - I would read the gbuild makefiles which are in:

 solenv/gbuild/

To see if there is a simpler construction for any of those cases; if not - no problem =)

In some cases we only want to use the udkapi - and we can leave those alone I think.

Thanks !
Comment 6 Gleb Mishchenko 2016-03-22 12:38:30 UTC
Hello, Michael. I've submitted changes to gerrit, please take a look and comment if I did right.
Comment 7 Björn Michaelsen 2016-05-09 10:08:49 UTC
(In reply to Gleb Mishchenko from comment #6)
> Hello, Michael. I've submitted changes to gerrit, please take a look and
> comment if I did right.

FWIW, patch is here:

 https://gerrit.libreoffice.org/#/c/23426/

just needs a rebase and loosing the extra commas.
Comment 8 Commit Notification 2016-06-09 09:47:49 UTC
Gleb Mishchenko committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=a97b392879c96145701b2454b26dc0c4f6aa4bb2

tdf#94698 cleanup Makefiles. Get rid of udkapi and offapi

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 jani 2016-06-14 09:45:19 UTC
Looks solved